<?
/***************************************************************************
 phpTrafficA @soft.ZoneO.net
 Copyright (C) 2004-2005 ZoneO-soft, S. Merkel (dude@zoneo.net)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 More Info About The Licence At http://www.gnu.org/copyleft/gpl.html
****************************************************************************/

function echoStatsMain() {
global $table, $domain, $sid, $year, $month, $day, $interval, $pageid, $sort, $show, $toplot,$start;

// Getting supplementary variables...
if (!isset($sort) or $sort=="") {$sort = $_GET["sort"];}
if (!isset($start) or $start=="") {$start = $_GET["start"];}
if (!isset($toplot) or $toplot=="") { $toplot = $_GET["toplot"]; }
if (!isset($pageid) or $pageid=="") {
	$pageid = $_GET["pageid"];
	if ($pageid == "") { $pageid = $_POST["pageid"];}
}
if (!isset($interval) or $interval=="") {
	$interval = $_GET["interval"];
	if ($interval=="") { $interval = $_POST["interval"]; }
}
if (!isset($day) or $day=="") {
	$day = $_GET["day"];
	if ($day=="") { $day = $_POST["day"]; }
}
if (!isset($month) or $month=="") {
	$month = $_GET["month"];
	if ($month=="") { $month = $_POST["month"]; }
}
if (!isset($year) or $year=="") {
	$year = $_GET["year"];
	if ($year=="") { $year = $_POST["year"]; }
}
if (!isset($show) or $show=="") {
	$show = $_GET["show"];
	if ($show=="") { $show = $_POST["show"]; }
}

echo "<div class=\"navigation\">
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid\">Summary</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=new\">New trends</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=period&amp;interval=day\">Daily</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=period&amp;interval=week\">Weekly</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=period&amp;interval=month\">Monthly</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=os\">Operating system</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=browser\">Browser</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=key\">Search engines</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=ref&amp;sort=hits&amp;start=1&amp;pageid=all\">Referrers</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=country\">Country</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=duration\">Visit duration</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=retention\">Visitor retention</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=page\">Individual page statistics</a></div> 
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=latest\">Latest access</a></div>
<div class=\"action\"><a href=\"./index.php?mode=stats&amp;sid=$sid&amp;show=path&amp;sort=2\">Path analysis</a></div>
</div>
<div class=\"stats\">\n";

if ($domain == "") {
	echo "<br>Sorry, the id provided ($sid) does not match anything I know...";
} else { 
	switch ($show) {
	case "page":
		include ("./Php/statsPage.inc.php"); 
		if ((!isset($pageid))||($pageid=="")) {
			// Getting list of page names
			echoPageList($table,$domain,$sid,$sort);
		} else {
			echoPage($table,$domain,$pageid,$sid);
		}
		break;
	case "key":
		include ("./Php/statsSE.inc.php");  
		if (!isset($start)) $start = 1;
		if (!isset($sort)) $sort = "kwd";
		if (isset($pageid)) {
			echoEngine($table,$domain,$sid,$pageid,$sort,$start);
		} else {
			echoEngine($table,$domain,$sid,"all",$sort,$start);
		}
		break;
	case "ref":
		include ("./Php/statsRef.inc.php");  
		echoReferer($table,$domain,$sid,$sort,$start,$pageid);
		break;
	case "new":
		include ("./Php/statsNewTrend.inc.php");
		if ($interval == "") $interval = 30;
		echoNewTrend($table,$domain,$sid,$interval);
		break;
	case "os":
		include ("./Php/statsMonthly.inc.php");  
		echoOS($table,$sid,$toplot);
		break;
	case "browser":
		include ("./Php/statsMonthly.inc.php");  
		echoBrowser($table,$sid,$toplot);
		break;
	case "country":
		include ("./Php/statsMonthly.inc.php");  
		echoCountry($table,$sid,$toplot);
		break;
	case "duration";
		include ("./Php/statsRetention.inc.php");
		echoRetention($table,0);
		break;
	case "retention":
		include ("./Php/statsRetention.inc.php");
		echoRetention($table,1);
		break;
	case "latest":
		include ("./Php/statsRecent.inc.php");
		echoRecent($table,$domain);
		break; 
	case "path":
		include ("./Php/statsMonthly.inc.php");  
		include('Php/pathAnalysis.php');
		pathAnalysis($table,$domain,$sid,$sort);
		break; 
	case "period":
		include ("./Php/statsTimeInterval.inc.php");
		if (isset($day)) {
			echoTimeInterval($table, $domain, $interval, $sid, "$year-$month-$day");
		} else {
			echoTimeInterval($table, $domain, $interval, $sid);
		}
		break;
	default:
		include ("./Php/stats.inc.php"); 
		echoMainStats($table,$domain,$sid);
		break;
	}
}
echo "</div>\n";
}
?>