<?
/***************************************************************************
 phpTrafficA @soft.ZoneO.net
 Copyright (C) 2004-2005 ZoneO-soft, S. Merkel (dude@zoneo.net)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 More Info About The Licence At http://www.gnu.org/copyleft/gpl.html
****************************************************************************/

if (!isset($file) or $file=="") {$file = $_GET['file'];}

include("./Php/phplot.php");
include("./tmp/".$file);

function hex2rgb($hex) {
   $color = str_replace('#','',$hex);
   $rgb = array(hexdec(substr($color,0,2)),
                hexdec(substr($color,2,2)),
                hexdec(substr($color,4,2)));
   return $rgb;
 } 

$dark = hex2rgb("#122C4D");
$dark = hex2rgb("#122C4D");
//$maxYY = floor($maxY/100)*100+100;
//$tickStep = floor($maxYY/4);


if (!isset($yscale)) {
	$yscale=FALSE;
}
$graph = new PHPlot(500,200);
$graph->SetGridColor($dark);
$graph->SetLightGridColor($dark);
$graph->SetFont("x_label",2);
$graph->SetFont("y_label",2);
$graph->SetDataType("text-data");  //Must be called before SetDataValues
$graph->SetXDataLabelAngle(0);
if ($yscale=="sqrt") {
	//$graph->setYGridLabelType("sqrt");
	$graph->SetYScaleType("sqrt");
	$tickStep = max(intval(sqrt($maxY)/6),1); 
} elseif ($yscale=="cbrt") {
	//$graph->setYGridLabelType("sqrt");
	$graph->SetYScaleType("cbrt");
	$tickStep = max(intval(pow($maxY,1./3)/6),1); 
} elseif ($yscale=="qdrt") {
	//$graph->setYGridLabelType("sqrt");
	$graph->SetYScaleType("qdrt");
	$tickStep = max(intval(pow($maxY,1./4)/6),1); 
} else {
	$pow = intval(log($maxY,10));
	if ($maxY<2*pow(10,$pow)) {
		$tickStep = 2*pow(10,$pow-1);
	} else if ($maxY<5*pow(10,$pow)) {
		$tickStep = 5*pow(10,$pow-1);
	} else {
		$tickStep = pow(10,$pow);
	}
}
$graph->SetVertTickIncrement($tickStep);
if (isset($xlabel)) { $graph->SetXLabel($xlabel); } else { $graph->SetXLabel("");}
if (isset($ylabel)) { $graph->SetYLabel($ylabel); } else { $graph->SetYLabel("");}
$graph->SetDataValues($date_data);
$graph->SetColor($dark);
$graph->SetPlotType("$plottype");
$graph->SetDataColors( array( "red"), array( "black") );
// Setting the image format
if (function_exists("imagepng")) {
	$graph->SetFileFormat('png');
} elseif (function_exists("imagegif")) {
	$graph->SetFileFormat('gif');
} elseif (function_exists("imagejpeg")) {
	$graph->SetFileFormat('jpg');
}  elseif (function_exists("imagewbmp")) {
	$graph->SetFileFormat('wbmp');
} else {
	die("No image support in this PHP server");
}
$graph->DrawGraph();



?>
